## r-cran-digest 0.5.1

=== DESCRIPTION ===
Package: digest
Version: 0.5.1
Date: $Date: 2011-09-20 17:15:07 -0500 (Tue, 20 Sep 2011) $
Author: Dirk Eddelbuettel <edd@debian.org> with contributions by
        Antoine Lucas, Jarek Tuszynski, Henrik Bengtsson, Simon
        Urbanek, Mario Frasca and Bryan Lewis.
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Title: Create cryptographic hash digests of R objects
Description: The digest package provides a function 'digest()' for the
        creation of hash digests of arbitrary R objects (using the md5,
        sha-1, sha-256 and crc32 algorithms) permitting easy comparison
        of R language objects, as well as a function 'hmac()' to create
        hash-based message authentication code.
 .
 The md5 algorithm by Ron Rivest is specified in RFC 1321, the SHA-1 and
        SHA-256 algorithms are specified in FIPS-180-1 and FIPS-180-2,
        and the crc32 algorithm is described in
        ftp://ftp.rocksoft.com/cliens/rocksoft/papers/crc_v3.txt. For
        md5, sha-1 and sha-256, this packages uses small standalone
        implementations that were provided by Christophe Devine. For
        crc32, code from the zlib library is used.
 .
 Please note that this package is not meant to be deployed for
        cryptographic purposes for which more comprehensive (and widely
        tested) libraries such as OpenSSL should be used.
Depends: R (>= 2.4.1)
License: GPL-2
URL: http://dirk.eddelbuettel.com/code/digest.html
Packaged: 2011-09-20 22:15:29.511082 UTC; edd
Repository: CRAN
Date/Publication: 2011-09-21 19:07:31

## r-cran-digest 0.5.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: digest
-Version: 0.5.1
-Date: $Date: 2011-09-20 17:15:07 -0500 (Tue, 20 Sep 2011) $
+Version: 0.5.2
+Date: $Date: 2012-03-14 23:40:30 -0500 (Wed, 14 Mar 2012) $
 Author: Dirk Eddelbuettel <edd@debian.org> with contributions by
         Antoine Lucas, Jarek Tuszynski, Henrik Bengtsson, Simon
-        Urbanek, Mario Frasca and Bryan Lewis.
+        Urbanek, Mario Frasca, Bryan Lewis and Murray Stokely.
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Title: Create cryptographic hash digests of R objects
 Description: The digest package provides a function 'digest()' for the
@@ -15,8 +15,8 @@
  The md5 algorithm by Ron Rivest is specified in RFC 1321, the SHA-1 and
         SHA-256 algorithms are specified in FIPS-180-1 and FIPS-180-2,
         and the crc32 algorithm is described in
-        ftp://ftp.rocksoft.com/cliens/rocksoft/papers/crc_v3.txt. For
-        md5, sha-1 and sha-256, this packages uses small standalone
+        ftp://ftp.rocksoft.com/cliens/rocksoft/papers/crc_v3.txt.  For
+        md5, sha-1 and sha-256, this package uses a small standalone
         implementations that were provided by Christophe Devine. For
         crc32, code from the zlib library is used.
  .
@@ -26,6 +26,6 @@
 Depends: R (>= 2.4.1)
 License: GPL-2
 URL: http://dirk.eddelbuettel.com/code/digest.html
-Packaged: 2011-09-20 22:15:29.511082 UTC; edd
+Packaged: 2012-03-15 05:00:05.913241 UTC; edd
 Repository: CRAN
-Date/Publication: 2011-09-21 19:07:31
+Date/Publication: 2012-03-15 05:37:21

## r-cran-digest 0.6.4

=== DESCRIPTION ===
Package: digest
Version: 0.6.4
Date: $Date: 2013-12-02 21:56:30 -0600 (Mon, 02 Dec 2013) $
Author: Dirk Eddelbuettel <edd@debian.org> with contributions 
 by Antoine Lucas, Jarek Tuszynski, Henrik Bengtsson, Simon Urbanek,
 Mario Frasca, Bryan Lewis, Murray Stokely, Hannes Muehleisen and 
 Duncan Murdoch.
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Title: Create cryptographic hash digests of R objects
Description: The digest package provides a function 'digest()' for the 
 creation of hash digests of arbitrary R objects (using the md5, sha-1, 
 sha-256 and crc32 algorithms) permitting easy comparison of R language 
 objects, as well as a function 'hmac()' to create hash-based message
 authentication code.
 .
   The md5 algorithm by Ron Rivest is specified in RFC 1321, the sha-1 
 and sha-256 algorithms are specified in FIPS-180-1 and FIPS-180-2, 
 and the crc32 algorithm is described in 
 ftp://ftp.rocksoft.com/cliens/rocksoft/papers/crc_v3.txt.
 .
   For md5, sha-1, sha-256 and aes, this package uses a small standalone
 implementations that were provided by Christophe Devine. For crc32, code
 from the zlib library is used. For sha-512, an implementation by Aaron
 D. Gifford is used.
 .
   Please note that this package is not meant to be deployed for 
 cryptographic purposes for which more comprehensive (and widely 
 tested) libraries such as OpenSSL should be used.
Depends: R (>= 2.4.1)
License: GPL-2
URL: http://dirk.eddelbuettel.com/code/digest.html
Packaged: 2013-12-03 04:02:00.357418 UTC; edd
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-12-03 07:39:12

## r-cran-digest 0.6.8

=== DESCRIPTION ===
Package: digest
Version: 0.6.8
Date: 2013-12-30
Author: Dirk Eddelbuettel <edd@debian.org> with contributions 
 by Antoine Lucas, Jarek Tuszynski, Henrik Bengtsson, Simon Urbanek,
 Mario Frasca, Bryan Lewis, Murray Stokely, Hannes Muehleisen,
 Duncan Murdoch, Jim Hester and Wush Wu.
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Title: Create Cryptographic Hash Digests of R Objects
Description: Implementation of a function 'digest()' for the creation 
 of hash digests of arbitrary R objects (using the md5, sha-1, sha-256, 
 crc32, xxhash and murmurhash algorithms) permitting easy comparison of R
 language objects, as well as a function 'hmac()' to create hash-based
 message authentication code.
 .
   The md5 algorithm by Ron Rivest is specified in RFC 1321, the sha-1 
 and sha-256 algorithms are specified in FIPS-180-1 and FIPS-180-2, 
 and the crc32 algorithm is described in 
 ftp://ftp.rocksoft.com/cliens/rocksoft/papers/crc_v3.txt.
 .
   For md5, sha-1, sha-256 and aes, this package uses small standalone
 implementations that were provided by Christophe Devine. For crc32, code
 from the zlib library is used. For sha-512, an implementation by Aaron
 D. Gifford is used. For xxHash, the implementation by Yann Collet is used.
 For murmurhash, an implementation by Shane Day is used.
 .
   Please note that this package is not meant to be deployed for 
 cryptographic purposes for which more comprehensive (and widely 
 tested) libraries such as OpenSSL should be used.
Depends: R (>= 2.4.1)
License: GPL-2
URL: http://dirk.eddelbuettel.com/code/digest.html
Packaged: 2014-12-31 01:14:41.779054 UTC; edd
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-12-31 07:47:27

## r-cran-digest 0.6.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Package: digest
-Version: 0.6.8
-Date: 2013-12-30
+Version: 0.6.9
+Date: 2016-01-07
 Author: Dirk Eddelbuettel <edd@debian.org> with contributions 
  by Antoine Lucas, Jarek Tuszynski, Henrik Bengtsson, Simon Urbanek,
  Mario Frasca, Bryan Lewis, Murray Stokely, Hannes Muehleisen,
- Duncan Murdoch, Jim Hester and Wush Wu.
+ Duncan Murdoch, Jim Hester, Wush Wu and Thierry Onkelinx.
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Title: Create Cryptographic Hash Digests of R Objects
+Title: Create Compact Hash Digests of R Objects
 Description: Implementation of a function 'digest()' for the creation 
  of hash digests of arbitrary R objects (using the md5, sha-1, sha-256, 
  crc32, xxhash and murmurhash algorithms) permitting easy comparison of R
@@ -21,7 +21,7 @@
    For md5, sha-1, sha-256 and aes, this package uses small standalone
  implementations that were provided by Christophe Devine. For crc32, code
  from the zlib library is used. For sha-512, an implementation by Aaron
- D. Gifford is used. For xxHash, the implementation by Yann Collet is used.
+ D. Gifford is used. For xxhash, the implementation by Yann Collet is used.
  For murmurhash, an implementation by Shane Day is used.
  .
    Please note that this package is not meant to be deployed for 
@@ -30,7 +30,9 @@
 Depends: R (>= 2.4.1)
 License: GPL-2
 URL: http://dirk.eddelbuettel.com/code/digest.html
-Packaged: 2014-12-31 01:14:41.779054 UTC; edd
+Suggests: knitr, rmarkdown
+VignetteBuilder: knitr
 NeedsCompilation: yes
+Packaged: 2016-01-08 04:03:12.108104 UTC; edd
 Repository: CRAN
-Date/Publication: 2014-12-31 07:47:27
+Date/Publication: 2016-01-08 08:49:46

## r-cran-digest 0.6.11

=== DESCRIPTION ===
Package: digest
Author: Dirk Eddelbuettel <edd@debian.org> with contributions 
 by Antoine Lucas, Jarek Tuszynski, Henrik Bengtsson, Simon Urbanek,
 Mario Frasca, Bryan Lewis, Murray Stokely, Hannes Muehleisen,
 Duncan Murdoch, Jim Hester, Wush Wu, Qiang Kou, Thierry Onkelinx, 
 Michel Lang and Viliam Simko.
Version: 0.6.11
Date: 2017-01-01
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Title: Create Compact Hash Digests of R Objects
Description: Implementation of a function 'digest()' for the creation 
 of hash digests of arbitrary R objects (using the 'md5', 'sha-1', 'sha-256', 
 'crc32', 'xxhash' and 'murmurhash' algorithms) permitting easy comparison of R
 language objects, as well as a function 'hmac()' to create hash-based
 message authentication code. Please note that this package is not meant to
 be deployed for cryptographic purposes for which more comprehensive (and
 widely tested) libraries such as 'OpenSSL' should be used.
URL: http://dirk.eddelbuettel.com/code/digest.html
BugReports: https://github.com/eddelbuettel/digest/issues
Depends: R (>= 2.4.1)
License: GPL (>= 2)
Suggests: knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2017-01-01 22:29:14.903455 UTC; edd
Repository: CRAN
Date/Publication: 2017-01-03 18:24:43

## r-cran-digest 0.6.15

=== DESCRIPTION ===
--- 
+++ 
@@ -3,9 +3,9 @@
  by Antoine Lucas, Jarek Tuszynski, Henrik Bengtsson, Simon Urbanek,
  Mario Frasca, Bryan Lewis, Murray Stokely, Hannes Muehleisen,
  Duncan Murdoch, Jim Hester, Wush Wu, Qiang Kou, Thierry Onkelinx, 
- Michel Lang and Viliam Simko.
-Version: 0.6.11
-Date: 2017-01-01
+ Michel Lang, Viliam Simko and Kurt Hornik.
+Version: 0.6.15
+Date: 2018-01-28
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Title: Create Compact Hash Digests of R Objects
 Description: Implementation of a function 'digest()' for the creation 
@@ -22,6 +22,6 @@
 Suggests: knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2017-01-01 22:29:14.903455 UTC; edd
+Packaged: 2018-01-28 16:42:14.094058 UTC; edd
 Repository: CRAN
-Date/Publication: 2017-01-03 18:24:43
+Date/Publication: 2018-01-28 21:43:31 UTC

## r-cran-digest 0.6.16

=== DESCRIPTION ===
--- 
+++ 
@@ -4,8 +4,8 @@
  Mario Frasca, Bryan Lewis, Murray Stokely, Hannes Muehleisen,
  Duncan Murdoch, Jim Hester, Wush Wu, Qiang Kou, Thierry Onkelinx, 
  Michel Lang, Viliam Simko and Kurt Hornik.
-Version: 0.6.15
-Date: 2018-01-28
+Version: 0.6.16
+Date: 2018-08-21
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Title: Create Compact Hash Digests of R Objects
 Description: Implementation of a function 'digest()' for the creation 
@@ -17,11 +17,11 @@
  widely tested) libraries such as 'OpenSSL' should be used.
 URL: http://dirk.eddelbuettel.com/code/digest.html
 BugReports: https://github.com/eddelbuettel/digest/issues
-Depends: R (>= 2.4.1)
+Depends: R (>= 3.1.0)
 License: GPL (>= 2)
 Suggests: knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2018-01-28 16:42:14.094058 UTC; edd
+Packaged: 2018-08-21 12:08:07.514864 UTC; edd
 Repository: CRAN
-Date/Publication: 2018-01-28 21:43:31 UTC
+Date/Publication: 2018-08-22 16:20:07 UTC

=== debian/changelog ===
r-cran-digest (0.6.16-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 22 Aug 2018 19:42:26 -0500

r-cran-digest (0.6.15-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 28 Jan 2018 16:12:22 -0600

r-cran-digest (0.6.14-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 14 Jan 2018 17:17:33 -0600

r-cran-digest (0.6.13-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debian/compat: Set level to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 14 Dec 2017 13:54:49 -0600

r-cran-digest (0.6.12-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 27 Jan 2017 06:59:31 -0600

r-cran-digest (0.6.11-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 Jan 2017 13:22:59 -0600

r-cran-digest (0.6.10-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 02 Aug 2016 22:05:21 -0500

r-cran-digest (0.6.9-2) unstable; urgency=medium

  * debian/compat: Created			(Closes: #830224)
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 07 Jul 2016 17:43:16 -0500

r-cran-digest (0.6.9-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 08 Jan 2016 20:07:56 -0600

r-cran-digest (0.6.8-1) unstable; urgency=low

  * New upstream release

  * debian/control: Re-edit Description 		(Closes: #776210)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 26 Jan 2015 06:52:09 -0600

r-cran-digest (0.6.7-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 20 Dec 2014 10:35:10 -0600

r-cran-digest (0.6.6-1) unstable; urgency=low

  * New upstream release (as a bugfix to 0.6.5 released day earlier)

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 10 Dec 2014 06:42:26 -0600

r-cran-digest (0.6.4-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 Dec 2013 06:35:30 -0600

r-cran-digest (0.6.3-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 30 Mar 2013 08:15:04 -0500

r-cran-digest (0.6.3-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 16 Feb 2013 10:48:33 -0600

r-cran-digest (0.6.2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 25 Jan 2013 12:44:39 -0600

r-cran-digest (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 21 Jan 2013 16:31:54 -0600

r-cran-digest (0.6.0-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 Nov 2012 12:47:23 -0600

r-cran-digest (0.5.2-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 15 Mar 2012 19:29:18 -0500

r-cran-digest (0.5.1-1) unstable; urgency=low

  * Initial Debian release of my digest CRAN package  	(Closes: #657919)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 31 Jan 2012 20:42:18 -0600

=== debian/control ===
Source: r-cran-digest
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.1), dh-r
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/edd/r-cran-digest
Vcs-Git: https://salsa.debian.org/edd/r-cran-digest.git
Homepage: https://cran.r-project.org/package=digest

Package: r-cran-digest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}
Description: GNU R package for 'hash digest' of R data structures
 Implementation of a function 'digest()' for the creation of hash 
 digests of arbitrary R objects (using the md5, sha-1, sha-256,  
 crc32, xxhash and murmurhash algorithms) permitting easy comparison of R
 language objects, as well as a function 'hmac()' to create hash-based
 message authentication code.
 .
 The md5 algorithm by Ron Rivest is specified in RFC 1321, the sha-1 
 and sha-256 algorithms are specified in FIPS-180-1 and FIPS-180-2, 
 and the crc32 algorithm is described in 
 ftp://ftp.rocksoft.com/cliens/rocksoft/papers/crc_v3.txt.
 .
 For md5, sha-1, sha-256 and aes, this package uses small standalone
 implementations that were provided by Christophe Devine. For crc32, code
 from the zlib library is used. For sha-512, an implementation by Aaron
 D. Gifford is used. For xxHash, the implementation by Yann Collet is used.
 For murmurhash, an implementation by Shane Day is used.
 .
 Please note that this package is not meant to be deployed for 
 cryptographic purposes for which more comprehensive (and widely 
 tested) libraries such as OpenSSL should be used.

## r-cran-digest 0.6.18

=== DESCRIPTION ===
--- 
+++ 
@@ -3,9 +3,9 @@
  by Antoine Lucas, Jarek Tuszynski, Henrik Bengtsson, Simon Urbanek,
  Mario Frasca, Bryan Lewis, Murray Stokely, Hannes Muehleisen,
  Duncan Murdoch, Jim Hester, Wush Wu, Qiang Kou, Thierry Onkelinx, 
- Michel Lang, Viliam Simko and Kurt Hornik.
-Version: 0.6.16
-Date: 2018-08-21
+ Michel Lang, Viliam Simko, Kurt Hornik and Radford Neal.
+Version: 0.6.18
+Date: 2018-10-10
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Title: Create Compact Hash Digests of R Objects
 Description: Implementation of a function 'digest()' for the creation 
@@ -22,6 +22,6 @@
 Suggests: knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2018-08-21 12:08:07.514864 UTC; edd
+Packaged: 2018-10-10 11:30:39.397655 UTC; edd
 Repository: CRAN
-Date/Publication: 2018-08-22 16:20:07 UTC
+Date/Publication: 2018-10-10 16:00:23 UTC

=== debian/changelog ===
r-cran-digest (0.6.18-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 10 Oct 2018 20:48:00 -0500

r-cran-digest (0.6.17-1) unstable; urgency=medium

  * New upstream release
 
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 12 Sep 2018 19:14:35 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.1), dh-r
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-digest
 Vcs-Git: https://salsa.debian.org/edd/r-cran-digest.git
 Homepage: https://cran.r-project.org/package=digest

## r-cran-digest 0.6.20

=== DESCRIPTION ===
Package: digest
Author: Dirk Eddelbuettel <edd@debian.org> with contributions 
 by Antoine Lucas, Jarek Tuszynski, Henrik Bengtsson, Simon Urbanek,
 Mario Frasca, Bryan Lewis, Murray Stokely, Hannes Muehleisen,
 Duncan Murdoch, Jim Hester, Wush Wu, Qiang Kou, Thierry Onkelinx, 
 Michel Lang, Viliam Simko, Kurt Hornik, Radford Neal, and Kendon Bell.
Version: 0.6.20
Date: 2019-07-04
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Title: Create Compact Hash Digests of R Objects
Description: Implementation of a function 'digest()' for the creation 
 of hash digests of arbitrary R objects (using the 'md5', 'sha-1', 'sha-256', 
 'crc32', 'xxhash', 'murmurhash' and 'spookyhash' algorithms) permitting easy
 comparison of R language objects, as well as functions such as'hmac()' to
 create hash-based message authentication code. Please note that this package
 is not meant to be deployed for cryptographic purposes for which more
 comprehensive (and widely tested) libraries such as 'OpenSSL' should be
 used.
URL: http://dirk.eddelbuettel.com/code/digest.html
BugReports: https://github.com/eddelbuettel/digest/issues
Depends: R (>= 3.1.0)
License: GPL (>= 2)
Suggests: tinytest, knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2019-07-04 13:26:33.39935 UTC; edd
Repository: CRAN
Date/Publication: 2019-07-04 14:40:03 UTC

=== debian/changelog ===
r-cran-digest (0.6.20-2) unstable; urgency=medium

  * Source-only upload
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 17 Aug 2019 10:09:33 -0500

r-cran-digest (0.6.20-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 04 Jul 2019 12:30:56 -0500

r-cran-digest (0.6.19-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version
  * debian/control: Updated and shortened Description:

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 20 May 2019 09:44:50 -0500

=== debian/control ===
Source: r-cran-digest
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-digest
Vcs-Git: https://salsa.debian.org/edd/r-cran-digest.git
Homepage: https://cran.r-project.org/package=digest

Package: r-cran-digest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}
Description: GNU R package for 'hash digest' of R data structures
 Implementation of a function 'digest()' for the creation of hash 
 digests of arbitrary R objects (using the md5, sha-1, sha-256,  
 crc32, xxhash, murmurhash, and spookyhash algorithms) permitting easy
 comparison of R language objects, as well as a function 'hmac()' to
 create hash-based message authentication code.
 .
 Please note that this package is not meant to be deployed for 
 cryptographic purposes for which more comprehensive (and widely 
 tested) libraries such as OpenSSL should be used.

## r-cran-digest 0.6.25

=== DESCRIPTION ===
--- 
+++ 
@@ -3,9 +3,10 @@
  by Antoine Lucas, Jarek Tuszynski, Henrik Bengtsson, Simon Urbanek,
  Mario Frasca, Bryan Lewis, Murray Stokely, Hannes Muehleisen,
  Duncan Murdoch, Jim Hester, Wush Wu, Qiang Kou, Thierry Onkelinx, 
- Michel Lang, Viliam Simko, Kurt Hornik, Radford Neal, and Kendon Bell.
-Version: 0.6.20
-Date: 2019-07-04
+ Michel Lang, Viliam Simko, Kurt Hornik, Radford Neal, Kendon Bell,
+ Matthew de Queljoe, Ion Suruceanu, and Bill Denney.
+Version: 0.6.25
+Date: 2020-02-22
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Title: Create Compact Hash Digests of R Objects
 Description: Implementation of a function 'digest()' for the creation 
@@ -19,10 +20,11 @@
 URL: http://dirk.eddelbuettel.com/code/digest.html
 BugReports: https://github.com/eddelbuettel/digest/issues
 Depends: R (>= 3.1.0)
+Imports: utils
 License: GPL (>= 2)
 Suggests: tinytest, knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2019-07-04 13:26:33.39935 UTC; edd
+Packaged: 2020-02-22 14:55:28.282493 UTC; edd
 Repository: CRAN
-Date/Publication: 2019-07-04 14:40:03 UTC
+Date/Publication: 2020-02-23 00:10:02 UTC

=== debian/changelog ===
r-cran-digest (0.6.25-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 23 Feb 2020 07:43:09 -0600

r-cran-digest (0.6.24-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 12 Feb 2020 13:57:58 -0600

r-cran-digest (0.6.23-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Nov 2019 09:49:46 -0600

r-cran-digest (0.6.22-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 21 Oct 2019 20:16:15 -0500

r-cran-digest (0.6.21-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 23 Sep 2019 11:15:29 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r
-Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.2), dh-r
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-digest
 Vcs-Git: https://salsa.debian.org/edd/r-cran-digest.git
 Homepage: https://cran.r-project.org/package=digest

## r-cran-digest 0.6.27

=== DESCRIPTION ===
Package: digest
Author: Dirk Eddelbuettel <edd@debian.org> with contributions 
 by Antoine Lucas, Jarek Tuszynski, Henrik Bengtsson, Simon Urbanek,
 Mario Frasca, Bryan Lewis, Murray Stokely, Hannes Muehleisen,
 Duncan Murdoch, Jim Hester, Wush Wu, Qiang Kou, Thierry Onkelinx, 
 Michel Lang, Viliam Simko, Kurt Hornik, Radford Neal, Kendon Bell,
 Matthew de Queljoe, Ion Suruceanu, Bill Denney, Dirk Schumacher,
 and Winston Chang.
Version: 0.6.27
Date: 2020-10-20
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Title: Create Compact Hash Digests of R Objects
Description: Implementation of a function 'digest()' for the creation of hash
 digests of arbitrary R objects (using the 'md5', 'sha-1', 'sha-256', 'crc32',
 'xxhash', 'murmurhash', 'spookyhash' and 'blake3' algorithms) permitting easy
 comparison of R language objects, as well as functions such as'hmac()' to
 create hash-based message authentication code. Please note that this package
 is not meant to be deployed for cryptographic purposes for which more
 comprehensive (and widely tested) libraries such as 'OpenSSL' should be
 used.
URL: http://dirk.eddelbuettel.com/code/digest.html
BugReports: https://github.com/eddelbuettel/digest/issues
Depends: R (>= 3.3.0)
Imports: utils
License: GPL (>= 2)
Suggests: tinytest, knitr, rmarkdown, minidown
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2020-10-20 13:03:32 UTC; edd
Repository: CRAN
Date/Publication: 2020-10-24 22:10:06 UTC

=== debian/changelog ===
r-cran-digest (0.6.27-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 24 Oct 2020 18:37:01 -0500

r-cran-digest (0.6.26-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 17 Oct 2020 12:05:23 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.2), dh-r
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.3), dh-r
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-digest
 Vcs-Git: https://salsa.debian.org/edd/r-cran-digest.git

## r-cran-digest 0.6.28

=== DESCRIPTION ===
--- 
+++ 
@@ -6,8 +6,8 @@
  Michel Lang, Viliam Simko, Kurt Hornik, Radford Neal, Kendon Bell,
  Matthew de Queljoe, Ion Suruceanu, Bill Denney, Dirk Schumacher,
  and Winston Chang.
-Version: 0.6.27
-Date: 2020-10-20
+Version: 0.6.28
+Date: 2021-09-23
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Title: Create Compact Hash Digests of R Objects
 Description: Implementation of a function 'digest()' for the creation of hash
@@ -18,7 +18,8 @@
  is not meant to be deployed for cryptographic purposes for which more
  comprehensive (and widely tested) libraries such as 'OpenSSL' should be
  used.
-URL: http://dirk.eddelbuettel.com/code/digest.html
+URL: https://github.com/eddelbuettel/digest,
+        http://dirk.eddelbuettel.com/code/digest.html
 BugReports: https://github.com/eddelbuettel/digest/issues
 Depends: R (>= 3.3.0)
 Imports: utils
@@ -26,6 +27,6 @@
 Suggests: tinytest, knitr, rmarkdown, minidown
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2020-10-20 13:03:32 UTC; edd
+Packaged: 2021-09-23 11:04:05 UTC; edd
 Repository: CRAN
-Date/Publication: 2020-10-24 22:10:06 UTC
+Date/Publication: 2021-09-23 16:50:12 UTC

## r-cran-digest 0.6.29

=== DESCRIPTION ===
--- 
+++ 
@@ -6,8 +6,8 @@
  Michel Lang, Viliam Simko, Kurt Hornik, Radford Neal, Kendon Bell,
  Matthew de Queljoe, Ion Suruceanu, Bill Denney, Dirk Schumacher,
  and Winston Chang.
-Version: 0.6.28
-Date: 2021-09-23
+Version: 0.6.29
+Date: 2021-11-30
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Title: Create Compact Hash Digests of R Objects
 Description: Implementation of a function 'digest()' for the creation of hash
@@ -24,9 +24,9 @@
 Depends: R (>= 3.3.0)
 Imports: utils
 License: GPL (>= 2)
-Suggests: tinytest, knitr, rmarkdown, minidown
-VignetteBuilder: knitr
+Suggests: tinytest, simplermarkdown
+VignetteBuilder: simplermarkdown
 NeedsCompilation: yes
-Packaged: 2021-09-23 11:04:05 UTC; edd
+Packaged: 2021-11-30 23:41:39 UTC; edd
 Repository: CRAN
-Date/Publication: 2021-09-23 16:50:12 UTC
+Date/Publication: 2021-12-01 07:40:02 UTC

=== debian/changelog ===
r-cran-digest (0.6.29-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 01 Dec 2021 08:11:19 -0600

r-cran-digest (0.6.28-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 23 Sep 2021 12:22:56 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.3), dh-r
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-digest
 Vcs-Git: https://salsa.debian.org/edd/r-cran-digest.git
 Homepage: https://cran.r-project.org/package=digest

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-digest package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-digest 0.6.31

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Package: digest
-Author: Dirk Eddelbuettel <edd@debian.org> with contributions 
+Author: Dirk Eddelbuettel <edd@debian.org> with contributions
  by Antoine Lucas, Jarek Tuszynski, Henrik Bengtsson, Simon Urbanek,
  Mario Frasca, Bryan Lewis, Murray Stokely, Hannes Muehleisen,
- Duncan Murdoch, Jim Hester, Wush Wu, Qiang Kou, Thierry Onkelinx, 
+ Duncan Murdoch, Jim Hester, Wush Wu, Qiang Kou, Thierry Onkelinx,
  Michel Lang, Viliam Simko, Kurt Hornik, Radford Neal, Kendon Bell,
  Matthew de Queljoe, Ion Suruceanu, Bill Denney, Dirk Schumacher,
  and Winston Chang.
-Version: 0.6.29
-Date: 2021-11-30
+Version: 0.6.31
+Date: 2022-12-10
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Title: Create Compact Hash Digests of R Objects
 Description: Implementation of a function 'digest()' for the creation of hash
@@ -27,6 +27,6 @@
 Suggests: tinytest, simplermarkdown
 VignetteBuilder: simplermarkdown
 NeedsCompilation: yes
-Packaged: 2021-11-30 23:41:39 UTC; edd
+Packaged: 2022-12-10 18:30:14 UTC; edd
 Repository: CRAN
-Date/Publication: 2021-12-01 07:40:02 UTC
+Date/Publication: 2022-12-11 07:40:02 UTC

=== debian/changelog ===
r-cran-digest (0.6.31-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 12 Dec 2022 17:25:54 -0600

r-cran-digest (0.6.30-2) unstable; urgency=medium

  * Source-only rebuild and reupload

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 19 Oct 2022 09:09:46 -0500

r-cran-digest (0.6.30-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 18 Oct 2022 17:43:11 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-digest
 Vcs-Git: https://salsa.debian.org/edd/r-cran-digest.git
 Homepage: https://cran.r-project.org/package=digest

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,7 @@
 
 %:
 	dh $@ --buildsystem R
+
+override_dh_auto_install:
+	dh_auto_install -- prefix=/usr
+	rm debian/r-cran-digest/usr/lib/R/site-library/digest/doc/sha1.html

## r-cran-digest 0.6.33

=== DESCRIPTION ===
Package: digest
Author: Dirk Eddelbuettel <edd@debian.org> with contributions
 by Antoine Lucas, Jarek Tuszynski, Henrik Bengtsson, Simon Urbanek,
 Mario Frasca, Bryan Lewis, Murray Stokely, Hannes Muehleisen,
 Duncan Murdoch, Jim Hester, Wush Wu, Qiang Kou, Thierry Onkelinx,
 Michel Lang, Viliam Simko, Kurt Hornik, Radford Neal, Kendon Bell,
 Matthew de Queljoe, Ion Suruceanu, Bill Denney, Dirk Schumacher,
 Winston Chang, and Dean Attali.
Version: 0.6.33
Date: 2023-06-28
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Title: Create Compact Hash Digests of R Objects
Description: Implementation of a function 'digest()' for the creation of hash
 digests of arbitrary R objects (using the 'md5', 'sha-1', 'sha-256', 'crc32',
 'xxhash', 'murmurhash', 'spookyhash', 'blake3' and 'crc32c' algorithms) permitting
 easy comparison of R language objects, as well as functions such as'hmac()' to
 create hash-based message authentication code. Please note that this package
 is not meant to be deployed for cryptographic purposes for which more
 comprehensive (and widely tested) libraries such as 'OpenSSL' should be
 used.
URL: https://github.com/eddelbuettel/digest,
        https://dirk.eddelbuettel.com/code/digest.html
BugReports: https://github.com/eddelbuettel/digest/issues
Depends: R (>= 3.3.0)
Imports: utils
License: GPL (>= 2)
Suggests: tinytest, simplermarkdown
VignetteBuilder: simplermarkdown
NeedsCompilation: yes
Packaged: 2023-06-28 02:46:18 UTC; edd
Repository: CRAN
Date/Publication: 2023-07-07 14:10:02 UTC

=== debian/changelog ===
r-cran-digest (0.6.33-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 07 Jul 2023 11:58:04 -0500

r-cran-digest (0.6.32-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 27 Jun 2023 16:19:01 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.3.1), dh-r
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-digest
 Vcs-Git: https://salsa.debian.org/edd/r-cran-digest.git
 Homepage: https://cran.r-project.org/package=digest

## r-cran-digest 0.6.34

=== DESCRIPTION ===
--- 
+++ 
@@ -5,9 +5,9 @@
  Duncan Murdoch, Jim Hester, Wush Wu, Qiang Kou, Thierry Onkelinx,
  Michel Lang, Viliam Simko, Kurt Hornik, Radford Neal, Kendon Bell,
  Matthew de Queljoe, Ion Suruceanu, Bill Denney, Dirk Schumacher,
- Winston Chang, and Dean Attali.
-Version: 0.6.33
-Date: 2023-06-28
+ Winston Chang, Dean Attali, and Michael Chirico.
+Version: 0.6.34
+Date: 2024-01-11
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Title: Create Compact Hash Digests of R Objects
 Description: Implementation of a function 'digest()' for the creation of hash
@@ -27,6 +27,6 @@
 Suggests: tinytest, simplermarkdown
 VignetteBuilder: simplermarkdown
 NeedsCompilation: yes
-Packaged: 2023-06-28 02:46:18 UTC; edd
+Packaged: 2024-01-11 01:14:07 UTC; edd
 Repository: CRAN
-Date/Publication: 2023-07-07 14:10:02 UTC
+Date/Publication: 2024-01-11 13:40:02 UTC

=== debian/changelog ===
r-cran-digest (0.6.34-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 11 Jan 2024 11:57:44 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.3.1), dh-r
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-digest
 Vcs-Git: https://salsa.debian.org/edd/r-cran-digest.git

## r-cran-digest 0.6.36

=== DESCRIPTION ===
Package: digest
Author: Dirk Eddelbuettel <edd@debian.org> with contributions
 by Antoine Lucas, Jarek Tuszynski, Henrik Bengtsson, Simon Urbanek,
 Mario Frasca, Bryan Lewis, Murray Stokely, Hannes Muehleisen,
 Duncan Murdoch, Jim Hester, Wush Wu, Qiang Kou, Thierry Onkelinx,
 Michel Lang, Viliam Simko, Kurt Hornik, Radford Neal, Kendon Bell,
 Matthew de Queljoe, Ion Suruceanu, Bill Denney, Dirk Schumacher,
 Winston Chang, Dean Attali, and Michael Chirico.
Version: 0.6.36
Date: 2024-06-23
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Title: Create Compact Hash Digests of R Objects
Description: Implementation of a function 'digest()' for the creation of hash
 digests of arbitrary R objects (using the 'md5', 'sha-1', 'sha-256', 'crc32',
 'xxhash', 'murmurhash', 'spookyhash', 'blake3', 'crc32c', 'xxh3_64', and 'xxh3_128'
 algorithms) permitting easy comparison of R language objects, as well as functions
 such as'hmac()' to create hash-based message authentication code. Please note that
 this package is not meant to be deployed for cryptographic purposes for which more
 comprehensive (and widely tested) libraries such as 'OpenSSL' should be used.
URL: https://github.com/eddelbuettel/digest,
        https://dirk.eddelbuettel.com/code/digest.html
BugReports: https://github.com/eddelbuettel/digest/issues
Depends: R (>= 3.3.0)
Imports: utils
License: GPL (>= 2)
Suggests: tinytest, simplermarkdown
VignetteBuilder: simplermarkdown
NeedsCompilation: yes
Packaged: 2024-06-23 14:31:46 UTC; edd
Repository: CRAN
Date/Publication: 2024-06-23 16:40:02 UTC

=== debian/changelog ===
r-cran-digest (0.6.36-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 23 Jun 2024 20:42:19 -0500

r-cran-digest (0.6.35-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 11 Mar 2024 17:34:47 -0500

## r-cran-digest 0.6.37

=== DESCRIPTION ===
Package: digest
Authors@R: c(person("Dirk", "Eddelbuettel", role = c("aut", "cre"), email = "edd@debian.org",
                    comment = c(ORCID = "0000-0001-6419-907X")),
             person("Antoine", "Lucas", role="ctb"),
             person("Jarek", "Tuszynski", role="ctb"),
             person("Henrik", "Bengtsson", role="ctb", comment = c(ORCID = "0000-0002-7579-5165")),
             person("Simon", "Urbanek", role="ctb", comment = c(ORCID = "0000-0003-2297-1732")),
             person("Mario", "Frasca", role="ctb"),
             person("Bryan", "Lewis", role="ctb"),
             person("Murray", "Stokely", role="ctb"),
             person("Hannes", "Muehleisen", role="ctb"),
             person("Duncan", "Murdoch", role="ctb"),
             person("Jim", "Hester", role="ctb"),
             person("Wush", "Wu", role="ctb", comment = c(ORCID = "0000-0001-5180-0567")),
             person("Qiang", "Kou", role="ctb", comment = c(ORCID = "0000-0001-6786-5453")),
             person("Thierry", "Onkelinx", role="ctb", comment = c(ORCID = "0000-0001-8804-4216")),
             person("Michel", "Lang", role="ctb", comment = c(ORCID = "0000-0001-9754-0393")),
             person("Viliam", "Simko", role="ctb"),
             person("Kurt", "Hornik", role="ctb", comment = c(ORCID = "0000-0003-4198-9911")),
             person("Radford", "Neal", role="ctb", comment = c(ORCID = "0000-0002-2473-3407")),
             person("Kendon", "Bell", role="ctb", comment = c(ORCID = "0000-0002-9093-8312")),
             person("Matthew", "de Queljoe", role="ctb"),
             person("Dmitry", "Selivanov", role="ctb"),
             person("Ion", "Suruceanu", role="ctb"),
             person("Bill", "Denney", role="ctb"),
             person("Dirk", "Schumacher", role="ctb"),
             person("András", "Svraka", role="ctb"),
             person("Sergey", "Fedorov", role="ctb"),
             person("Will", "Landau", role="ctb", comment = c(ORCID = "0000-0003-1878-3253")),
             person("Floris", "Vanderhaeghe", role="ctb", comment = c(ORCID = "0000-0002-6378-6229")),
             person("Kevin", "Tappe", role="ctb"),
             person("Harris", "McGehee", role="ctb"),
             person("Tim", "Mastny", role="ctb"),
             person("Aaron", "Peikert", role="ctb", comment = c(ORCID = "0000-0001-7813-818X")),
             person("Mark", "van der Loo", role="ctb", comment = c(ORCID = "0000-0002-9807-4686")),
             person("Chris", "Muir", role="ctb", comment = c(ORCID = "0000-0003-2555-3878")),
             person("Moritz", "Beller", role="ctb", comment = c(ORCID = "0000-0003-4852-0526")),
             person("Sebastian", "Campbell", role="ctb"),
             person("Winston", "Chang", role="ctb", comment = c(ORCID = "0000-0002-1576-2126")),
             person("Dean", "Attali", role="ctb", comment = c(ORCID = "0000-0002-5645-3493")),
             person("Michael", "Chirico", role="ctb", comment = c(ORCID = "0000-0003-0787-087X")),
             person("Kevin", "Ushey", role="ctb"))
Version: 0.6.37
Date: 2024-08-19
Title: Create Compact Hash Digests of R Objects
Description: Implementation of a function 'digest()' for the creation of hash
 digests of arbitrary R objects (using the 'md5', 'sha-1', 'sha-256', 'crc32',
 'xxhash', 'murmurhash', 'spookyhash', 'blake3', 'crc32c', 'xxh3_64', and 'xxh3_128'
 algorithms) permitting easy comparison of R language objects, as well as functions
 such as'hmac()' to create hash-based message authentication code. Please note that
 this package is not meant to be deployed for cryptographic purposes for which more
 comprehensive (and widely tested) libraries such as 'OpenSSL' should be used.
URL: https://github.com/eddelbuettel/digest,
        https://dirk.eddelbuettel.com/code/digest.html
BugReports: https://github.com/eddelbuettel/digest/issues
Depends: R (>= 3.3.0)
Imports: utils
License: GPL (>= 2)
Suggests: tinytest, simplermarkdown
VignetteBuilder: simplermarkdown
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2024-08-19 12:16:05 UTC; edd
Author: Dirk Eddelbuettel [aut, cre] (<https://orcid.org/0000-0001-6419-907X>),
  Antoine Lucas [ctb],
  Jarek Tuszynski [ctb],
  Henrik Bengtsson [ctb] (<https://orcid.org/0000-0002-7579-5165>),
  Simon Urbanek [ctb] (<https://orcid.org/0000-0003-2297-1732>),
  Mario Frasca [ctb],
  Bryan Lewis [ctb],
  Murray Stokely [ctb],
  Hannes Muehleisen [ctb],
  Duncan Murdoch [ctb],
  Jim Hester [ctb],
  Wush Wu [ctb] (<https://orcid.org/0000-0001-5180-0567>),
  Qiang Kou [ctb] (<https://orcid.org/0000-0001-6786-5453>),
  Thierry Onkelinx [ctb] (<https://orcid.org/0000-0001-8804-4216>),
  Michel Lang [ctb] (<https://orcid.org/0000-0001-9754-0393>),
  Viliam Simko [ctb],
  Kurt Hornik [ctb] (<https://orcid.org/0000-0003-4198-9911>),
  Radford Neal [ctb] (<https://orcid.org/0000-0002-2473-3407>),
  Kendon Bell [ctb] (<https://orcid.org/0000-0002-9093-8312>),
  Matthew de Queljoe [ctb],
  Dmitry Selivanov [ctb],
  Ion Suruceanu [ctb],
  Bill Denney [ctb],
  Dirk Schumacher [ctb],
  András Svraka [ctb],
  Sergey Fedorov [ctb],
  Will Landau [ctb] (<https://orcid.org/0000-0003-1878-3253>),
  Floris Vanderhaeghe [ctb] (<https://orcid.org/0000-0002-6378-6229>),
  Kevin Tappe [ctb],
  Harris McGehee [ctb],
  Tim Mastny [ctb],
  Aaron Peikert [ctb] (<https://orcid.org/0000-0001-7813-818X>),
  Mark van der Loo [ctb] (<https://orcid.org/0000-0002-9807-4686>),
  Chris Muir [ctb] (<https://orcid.org/0000-0003-2555-3878>),
  Moritz Beller [ctb] (<https://orcid.org/0000-0003-4852-0526>),
  Sebastian Campbell [ctb],
  Winston Chang [ctb] (<https://orcid.org/0000-0002-1576-2126>),
  Dean Attali [ctb] (<https://orcid.org/0000-0002-5645-3493>),
  Michael Chirico [ctb] (<https://orcid.org/0000-0003-0787-087X>),
  Kevin Ushey [ctb]
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Repository: CRAN
Date/Publication: 2024-08-19 14:10:07 UTC

=== debian/changelog ===
r-cran-digest (0.6.37-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 19 Aug 2024 17:10:03 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-digest
 Vcs-Git: https://salsa.debian.org/edd/r-cran-digest.git
 Homepage: https://cran.r-project.org/package=digest
